Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IFileEditorInput

All Superinterfaces:
  IAdaptable, IEditorInput, IStorageEditorInput

All Known Implementing Classes:
  FileEditorInput

public interface IFileEditorInput
extends IStorageEditorInput

This interface defines a file-oriented input to an editor.

Clients implementing this editor input interface should override `Object.equals(Object)` to answer true for two inputs that are the same. The `IWorbenchPage.openEditor` APIs are dependent on this to find an editor with the same input.

File-oriented editors should support this as a valid input type, and allow full read-write editing of its content.

A default implementation of this interface is provided by org.eclipse.ui.part.FileEditorInput.

All editor inputs must implement the `IAdaptable` interface; extensions are managed by the platform's adapter manager.

See Also:
  `IFile`

Method Summary
`IFile` | `getFile()` Returns the file resource underlying this editor input.

Methods inherited from interface org.eclipse.ui.IStorageEditorInput
`getStorage`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getFile

    public IFile getFile()

  Returns the file resource underlying this editor input.

  The `IFile` returned can be a handle to a resource that does not exist in the workspace. As such, an editor should provide appropriate feedback to the user instead of simply failing during input validation. For example, a text editor could open in read-only mode with a message in the text area to inform the user that the file does not exist.

  Returns:
    the underlying file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.